package net.wanji.opt.service;

import com.alibaba.fastjson.JSONObject;
import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.databus.po.CrossDirDataHistPO;
import net.wanji.opt.dto.report.GreenHistIndexDTO;
import net.wanji.opt.entity.GreenwaveHist;
import net.wanji.opt.po.base.CrossLaneDataHistPoExtend;
import net.wanji.opt.vo.GreenWaveRunStateVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 绿波历史数据
 * </p>
 *
 * @Author fengyi
 * @Date 2024-11-18
 */
public interface GreenwaveHistProvider extends BaseDubboInterface<GreenwaveHist> {


    /**
     * 按时间范围统计干线指标
     * @param greenId
     * @param startDate
     * @param endData
     * @return
     */
    GreenHistIndexDTO findGreenIndexByDateScope(Integer greenId, String startDate, String endData);

}
